### Enumeration

# GtkConstraintAttribute

#### Declaration

    enum Gtk.ConstraintAttribute

#### Description [src]

The widget attributes that can be used when creating a `GtkConstraint`.

#### Members

`GTK_CONSTRAINT_ATTRIBUTE_NONE`

  No attribute, used for constant relations.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_LEFT`

  The left edge of a widget, regardless of text direction.

  - Value: `1`
  - Nickname: `left`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_RIGHT`

  The right edge of a widget, regardless of text direction.

  - Value: `2`
  - Nickname: `right`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_TOP`

  The top edge of a widget.

  - Value: `3`
  - Nickname: `top`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_BOTTOM`

  The bottom edge of a widget.

  - Value: `4`
  - Nickname: `bottom`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_START`

  The leading edge of a widget, depending on text direction; equivalent to `GTK_CONSTRAINT_ATTRIBUTE_LEFT` for LTR languages, and `GTK_CONSTRAINT_ATTRIBUTE_RIGHT` for RTL ones.

  - Value: `5`
  - Nickname: `start`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_END`

  The trailing edge of a widget, depending on text direction; equivalent to `GTK_CONSTRAINT_ATTRIBUTE_RIGHT` for LTR languages, and `GTK_CONSTRAINT_ATTRIBUTE_LEFT` for RTL ones.

  - Value: `6`
  - Nickname: `end`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_WIDTH`

  The width of a widget.

  - Value: `7`
  - Nickname: `width`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_HEIGHT`

  The height of a widget.

  - Value: `8`
  - Nickname: `height`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_CENTER_X`

  The center of a widget, on the horizontal axis.

  - Value: `9`
  - Nickname: `center-x`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_CENTER_Y`

  The center of a widget, on the vertical axis.

  - Value: `10`
  - Nickname: `center-y`
  - Available since: 4.0
`GTK_CONSTRAINT_ATTRIBUTE_BASELINE`

  The baseline of a widget.

  - Value: `11`
  - Nickname: `baseline`
  - Available since: 4.0